#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Common dirs for Zope libraries
Summary(pl.UTF-8):	Katalogi wspólne dla bibliotek Zope
Name:		python-zope-base
Version:	1.0
Release:	10
License:	Public Domain
Group:		Libraries/Python
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with python2}
BuildRequires:	python
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-modules
%endif
Provides:	Zope-dirs
Obsoletes:	Zope-dirs < 1.0-8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to put there
%define		_enable_debug_packages	0

%description
Common dirs for Zope libraries.

%description -l pl.UTF-8
Katalogi wspólne dla bibliotek Zope.

%package -n python3-zope-base
Summary:	Common dirs for Zope libraries
Summary(pl.UTF-8):	Katalogi wspólne dla bibliotek Zope
Group:		Libraries/Python

%description -n python3-zope-base
Common dirs for Zope libraries.

%description -n python3-zope-base -l pl.UTF-8
Katalogi wspólne dla bibliotek Zope.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{py3_sitescriptdir},%{py_sitedir},%{py3_sitedir}}/zope

%if %{with python2}
touch $RPM_BUILD_ROOT{%{py_sitescriptdir},%{py_sitedir}}/zope/__init__.py
%py_comp $RPM_BUILD_ROOT{%{py_sitescriptdir},%{py_sitedir}}/zope
%py_ocomp $RPM_BUILD_ROOT{%{py_sitescriptdir},%{py_sitedir}}/zope
%py_postclean
%endif

%if %{with python3}
touch $RPM_BUILD_ROOT{%{py3_sitescriptdir},%{py3_sitedir}}/zope/__init__.py
%py3_comp $RPM_BUILD_ROOT{%{py3_sitescriptdir},%{py3_sitedir}}/zope
%py3_ocomp $RPM_BUILD_ROOT{%{py3_sitescriptdir},%{py3_sitedir}}/zope
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitedir}/zope
%{py_sitescriptdir}/zope
%endif

%if %{with python3}
%files -n python3-zope-base
%defattr(644,root,root,755)
%{py3_sitedir}/zope
%{py3_sitescriptdir}/zope
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope-base.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 428e079
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 694eec0
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a4f30b6
- rebuild with python 3.10

* Thu Mar 24 2022 Jakub Bogusz <qboosh@pld-linux.org> a895996
- versioned Obsoletes

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> b1389b8
- package both arch and noarch base
- rel 7

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 3d9b86a
- noarch package
- rel 6

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 6b11138
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7f856ba
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 58d8a48
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e046422
- python 3.6
- release 2 (by relup.sh)

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> e9fd392
- Zope-dirs.spec renamed  to python-zope-base.spec

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> bcf1060
- x32 rebuild
- release 7 (by relup.sh)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bc1769
- release 6

* Sun May 03 2009 Patryk Zawadzki <patrys@room-303.com> fdef967
- can't O: ZopeInterface as it also matches Zope-Interface
- rel 5

* Tue Apr 14 2009 Elan Ruusamäe <glen@pld-linux.org> 0dff24a
- O: ZopeInterface (old path contained there)

* Tue Apr 14 2009 Elan Ruusamäe <glen@pld-linux.org> 274bb86
- skip debuginfo package

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> d3d2492
- release 4

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> 1dcedfa
- rel. 3

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> e69b9af
- all zope modules go to py_sitedir as python cannot load simultaneously
  from py_sitedir/zope and py_sitescriptdir/zope

* Sat Jan 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 241d11d
- pl
- python deps

